Skip to content

Get 'ErrandCost'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/errands/costs/errandcost/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/errands/costs/errandcost/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

invoice_titlestring, <= 255 charactersrequired
awaits_databooleanrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
general_errandobject or null(GeneralErrand)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: inspection_errand, rounding_occurrence

This field, or at least one of the following fields must be set: inspection_errand, rounding_occurrence

general_errand_actionobject or null(GeneralErrandAction)
inspection_errandobject or null(InspectionErrand)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: general_errand, rounding_occurrence

This field, or at least one of the following fields must be set: general_errand, rounding_occurrence

inspection_errand_faultobject or null(InspectionErrandFault)
articleobject or null(Article)
vatinteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

Enum Descriptions:

  • 0 - Vat 0

  • 6 - Vat 6

  • 12 - Vat 12

  • 25 - Vat 25

Enum:061225
unit_pricenumber or null, (float)
unit_amountnumber or null, (float)
should_be_invoicedboolean
target_tenantobject or null(Tenant)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: target_sub_tenant, target_organization_user

target_sub_tenantobject or null(SubTenant)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: target_tenant, target_organization_user

target_organization_userobject or null(OrganizationUser)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: target_tenant, target_sub_tenant

attachmentobject or null
rounding_occurrenceobject or null(RoundingOccurrence)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: general_errand, inspection_errand

This field, or at least one of the following fields must be set: general_errand, inspection_errand

pending_monitor_approval_amountanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "invoice_title": "string", "general_errand": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "general_errand_action": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "inspection_errand": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "inspection_errand_fault": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "article": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "vat": 0, "unit_price": 0.1, "unit_amount": 0.1, "should_be_invoiced": true, "target_tenant": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "target_sub_tenant": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "target_organization_user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "attachment": { "name": "string", "md5_hash": "string", "get": "string", "post": { … } }, "awaits_data": true, "rounding_occurrence": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "pending_monitor_approval_amount": null }